/*
 * Copyright (C) 2017 Team Gateship-One
 * (Hendrik Borghorst & Frederik Luetkes)
 *
 * The AUTHORS.md file contains a detailed contributors list:
 * <https://github.com/gateship-one/odyssey/blob/master/AUTHORS.md>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.gateshipone.odyssey.activities;

import android.content.Intent;
import android.net.Uri;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;

import org.gateshipone.odyssey.activities.OdysseyMainActivity;

public class OdysseySplashActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        final Intent intent = getIntent();
        Bundle extras = null;
        Uri data = null;
        String action = null;
        if (intent != null) {
            extras = intent.getExtras();
            data = intent.getData();
            action = intent.getAction();
        }

        Intent startIntent = new Intent(this, OdysseyMainActivity.class);
        if (extras != null) {
            startIntent.putExtras(extras);
        }
        if (data != null) {
            startIntent.setData(data);
        }
        if (action != null) {
            startIntent.setAction(action);
        }

        startActivity(startIntent);
        finish();
    }
}
